Summary: A graphical interface for configuring mice
Name: redhat-config-mouse
Version: 1.0.1
Release: 2
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
BuildRequires: desktop-file-utils
ExcludeArch: s390 s390x
Requires: pygtk2
Requires: python2
Requires: usermode >= 1.36
Requires: rhpl >= 0.45
Requires: pyxf86config

%description
redhat-config-mouse is a graphical user interface that allows 
the user to change the default mouse of the system.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
desktop-file-install --vendor redhat --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/redhat-config-mouse.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/redhat-config-mouse ] ; then
  rm -rf /usr/share/redhat-config-mouse/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
/usr/bin/redhat-config-mouse
%dir /usr/share/redhat-config-mouse
/usr/share/redhat-config-mouse/*
%dir /usr/share/firstboot/
%dir /usr/share/firstboot/modules
/usr/share/firstboot/modules/mouse_gui.py
%attr(0644,root,root) %{_datadir}/applications/redhat-config-mouse.desktop
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-mouse
%attr(0644,root,root) %config /etc/pam.d/redhat-config-mouse

%changelog
* Fri Aug 30 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- pull in latest translations

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- Convert to noarch

* Thu Aug 22 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- restart gpm when changing mouse

* Thu Aug 22 2002 Brent Fox <bfox@redhat.com> 1.0.0-1
- fix textdomain tag

* Thu Aug 22 2002 Jeremy Katz <katzj@redhat.com> 0.9.10-1
- try to probe the mouse by reading the config file instead of doing a 
  probe with kudzu.  ps/2 probes while in X are unreliable

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-3
- Replace System with SystemSetup in desktop file categories

* Thu Aug 08 2002 Brent Fox <bfox@redhat.com> 0.9.9-2
- Add dialog for serial mice
- Make changes to XF86Config file
- Added Requires for pyxf86config

* Mon Aug 05 2002 Brent Fox <bfox@redhat.com> 0.9.9-1
- Pull in translations into desktop files

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-1
- fix spec file line omission

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-1
- Pull mouse info from rhpl

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.5-2
- Fixed desktop file (bug #69476)

* Thu Jul 18 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- Change get_iter_root to get_iter_first

* Thu Jul 18 2002 Karsten Hopp <karsten@redhat.de>
- prepare for new pygtk2

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Mon Jul 1 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Wrap the destroy call in a try/except because there is no self.mainWindow in firstboot reconfig mode

* Thu Jun 27 2002 Brent Fox <bfox@redhat.com> 
- Fix typo in specfile

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description
- Fixed broken symlink in Makefile from mouse.py to mouse_gui.py

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.0-5
- Create pot file

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.0-4
- Fix spec file

* Sat Jun 22 2002 Brent Fox <bfox@redhat.com> 
- Pass title back to parent
- Pass doDebug into standalone

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- init doDebug in stand_alone

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Initial coding and packaging
- Add snapsrc to Makefile

